## gnome-shell-extension-ubuntu-dock 90ubuntu3

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (90ubuntu3) noble; urgency=medium

  [ Alessandro Astone ]
  * Fix window selected from preview not getting focus (LP: #1997550)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 03 Apr 2025 14:00:19 +0800
