=== debian/control ===
Source: gnome-shell-extension-ubuntu-dock
Section: gnome
Priority: optional
Maintainer: Marco Trevisan <marco@ubuntu.com>
Build-Depends: debhelper (>= 10),
               dh-translations,
               eslint <!nocheck>,
               libglib2.0-bin,
               node-chalk <!nocheck>,
               node-js-yaml <!nocheck>,
               node-strip-ansi <!nocheck>,
               sassc,
Standards-Version: 4.1.1
Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-noble
Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-noble
Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md

Package: gnome-shell-extension-ubuntu-dock
Architecture: all
Depends: gnome-shell (<< 47~),
         gnome-shell (>= 45~),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: gnome-shell-extension-dashtodock,
Description: Ubuntu Dock for GNOME Shell
 A dock for the Gnome Shell, default Ubuntu experience.
 .
 This extension is a modified version of Dash To Dock with different defaults.
 Dash To Dock can be installed to replace it and give more (but unsupported)
 configuration options.
