## gnome-shell-extension-ubuntu-dock 99ubuntu1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (99ubuntu1) oracular; urgency=medium

  * New uptream bugfix release
  * theming: Give Clutter.Color priority over Cogl.Color.
    While now there's only Cogl.Color, in previous versions we had both so
    giving Cogl priority broke the theming support
  * utils: Use an extra parameter for property injector constructor.
    By adding parameters in commit 611690cc33 we ended up hiding the base
    object constructor parameter, and so the support for automatic
    disconnection on parent object destruction. (LP: #2083621)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 03 Oct 2024 17:36:01 +0200

gnome-shell-extension-ubuntu-dock (97ubuntu1) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream bugfix release
  * appIcons: Raise the snap store before selecting a snap (LP: #2081716)

  [ vinchatl ]
  * Update French translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Oct 2024 01:33:52 +0200

gnome-shell-extension-ubuntu-dock (96ubuntu3) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * appIconsDecorator: Keep showing the details items when updating
  * theming, appIconIndicators: Support both Cogl.Color and Clutter.Color

  [ Daniel van Vugt ]
  * theming: Add support for Cogl.Color since Clutter.Color is deprecated in 47

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 17 Sep 2024 00:16:44 +0200

gnome-shell-extension-ubuntu-dock (96ubuntu2) oracular; urgency=medium

  * appIcons: Show app details menu for snap applications

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 23:23:01 +0200

gnome-shell-extension-ubuntu-dock (96ubuntu1) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New Upstream Release
  * utils: Add clamp function and use it for Indicators values
  * appIndicators: Add function to read theme values in a more JS way
  * appIconIndicators: Make progress bar paddings styled
  * stylesheet: Make alignment in progress overview icons more consistent
  * appIconIndicators: Make progress bar height factor styled
  * stylesheet: Use lighter progress bar on bigger overview icons
  * appIconIndicators: Do not add notification badge code unless needed
  * appIcons[Decorator]: Improve wording on updating messages

  [ Sergio Costas Rodriguez ]
  * Fix "Show Applications" button

  [ Yaroslav Pronin ]
  * Add `Dot` running indicator style
  * Update Russian translations

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 05 Sep 2024 21:04:56 +0200

gnome-shell-extension-ubuntu-dock (95ubuntu1) oracular; urgency=medium

  * New upstream release
  * appIconsDecorator: Use the generic icons signal handler for result
  * appIconsDecorator: Destroy indicators on removal
  * appIconsDecorator: Drop unneeded eslint ignores
  * appIconsDecorator: Use a signal signals handler with labels
  * appIconIndicators: Use lambda-style callbacks for better debugging
  * utils: Remove signal handler item on object destruction

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 27 Aug 2024 18:01:33 -0400

gnome-shell-extension-ubuntu-dock (94ubuntu1) oracular; urgency=medium

  * New upstream release
  * cleanup: Fix various comments and code typos
  * notificationsMonitor: Try to get appId from the source if set
  * appIcons: Sync comment change with ubuntu-dock
  * appIcons: Fix comment typo
  * appIcons: Remove duplicate source definition on DockAppIconMenu
  * stylesheet: Add missing declaration for overview tile states
  * appIcons: Allow to update the dot style offset in x too
  * appIcons: Show an OSD error if trying to launch an updating app
  * appIcons: Always add a disabled menu item with the app title
  * appIcons: Inform in menu items that the app is being being updated
  * appIcons: Delete menu instance from app icon on destruction
  * appIcons: use upstream definition of shouldShowTooltip
  * docking: Patch AppIcon to have more consistent Pin labels
  * appIcons: Use a labeled menu item separator for application title
  * appIcons: Drop code that is not used anymore by any supported version
  * appIconIndicator: Move style handling for updating state here
  * appIcons: Setup unity indicator properties on construction
  * appIconsDecorator: Support decorating app icons with emblems everywhere
  * launcherAPI: Avoid using regexes to replace all values in a string
  * appIndicators: Allow theming progress offsets
  * utils: Support injecting properties that are not on the main object
  * appIconsDecorator: Update icons style on updating changes
  * appIconsDecorator: Do not allow launching any application in updating state
  * appIconsDecorator: Hide all menu items except unpinning ones on updating

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 24 Aug 2024 00:53:35 -0400

gnome-shell-extension-ubuntu-dock (93ubuntu1) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * docking: Use the signal handler to disconnect on startup-completed signal
  * locations: Do not cancel operations after a volume has been umounted/removed
    (LP: #1993054)
  * locations: Do not warn if a file info has not the icon attribute
  * locations: Ask again for password on encryption failures
  * appIcons: Make possible to override updating icons style from css
  * appIcons: Do not allow launching a new window if the app is updating
  * appIcons: Hide launch menu items and generic actions if the app is updating
  * docking: Use the signal handler to disconnect on startup-completed signal
  * appIcons: Show an OSD error if trying to launch an updating app
  * appIcons: Always add a disabled menu item with the app title
  * appIcons: Inform in menu items that the app is being being updated
  * debian/control: Add support for GNOME Shell 47

  [ Byoungchan Lee ]
  * i18n: Add Korean translation

  [ Sergio Costas Rodriguez ]
  * Fix window preview in Gnome 45
  * Move .actor test to its own function
  * Fix communication with DING

