=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                node-strip-ansi <!nocheck>,
                sassc,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-noble
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-noble
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 47~),
+Depends: gnome-shell (<< 48~),
          gnome-shell (>= 45~),
          ${misc:Depends},
          ${shlibs:Depends}
