## gnome-shell-extension-ubuntu-dock 100ubuntu2

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (100ubuntu2) plucky; urgency=medium

  [ Alessandro Astone ]
  * dash: Support new API for retrieving scroll adjustment (LP: #2102002)
  * dash: Simplify scroll computation by always using the SMOOTH events
  * dash: Handle vertical scrolling on a horizontal dock

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 17 Mar 2025 18:57:25 +0800

gnome-shell-extension-ubuntu-dock (100ubuntu1) plucky; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * appIcons: Be consistent on menu items styles

  [ Yevhen Popok ]
  * Update uk_UA.po

  [ Amr Ibrahim ]
  * Update German translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Feb 2025 18:45:02 +0100

gnome-shell-extension-ubuntu-dock (99ubuntu3) plucky; urgency=medium

  * control: Bump dependency to gnome-shell (<< 49~)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 10 Feb 2025 17:03:06 +0800

gnome-shell-extension-ubuntu-dock (99ubuntu2) plucky; urgency=medium

  [ Sergio Costas ]
  * Fix dot position on Gnome 46.2 and greater (dash-to-dock issue #2222)
  * Make the 'Pin to Dock' label translatable (dash-to-dock issue #2330)

  [ Daniel van Vugt ]
  * docking: Generalize unredirect toggling to support GNOME 48 and earlier
    (dash-to-dock issue #2347)
  * metadata.json: Enable GNOME 48 support

  [ César Quintana ]
  * Fix autohide after drag event (dash-to-dock issue #2174)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 10 Feb 2025 16:45:30 +0800
