## gnome-shell-extension-ubuntu-dock 101ubuntu3

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (101ubuntu3) questing; urgency=medium

  * debian/control: Downgrade gir1.2-dbusmenu-glib-0.4 to recommends

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 07:36:10 +0200

gnome-shell-extension-ubuntu-dock (101ubuntu2) questing; urgency=medium

  * d/control: Add explicit dependencies on gir packages
  * appSpread: Make the search entry insensitive during app spread
  * windowPreview: Fix typo
  * appIcons: Do not call missing functions in GNOME 49

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 07:20:37 +0200
